# Interface ICefPostDataElement

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefPostDataElement = interface(ICefBaseRefCounted)`

## Description

Interface used to represent a single element in the request post data. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_post_data_element_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefPostDataElement

## Overview

### Methods

| `function IsReadOnly: Boolean;`
| `procedure SetToEmpty;`
| `procedure SetToFile(const fileName: ustring);`
| `procedure SetToBytes(size: NativeUInt; const bytes: Pointer);`
| `function GetType: TCefPostDataElementType;`
| `function GetFile: ustring;`
| `function GetBytesCount: NativeUInt;`
| `function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt;`

## Description

### Methods

| `function IsReadOnly: Boolean;`
Returns true (1) if this object is read-only. ###### Attributes GUID['{3353D1B8-0300-4ADC-8D74-4FF31C77D13C}']

| `procedure SetToEmpty;`
Remove all contents from the post data element.

| `procedure SetToFile(const fileName: ustring);`
The post data element will represent a file.

| `procedure SetToBytes(size: NativeUInt; const bytes: Pointer);`
The post data element will represent bytes. The bytes passed in will be copied.

| `function GetType: TCefPostDataElementType;`
Return the type of this post data element.

| `function GetFile: ustring;`
Return the file name.

| `function GetBytesCount: NativeUInt;`
Return the number of bytes.

| `function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt;`
Read up to |size| bytes into |bytes| and return the number of bytes actually read.

Generated by PasDoc 0.16.0-snapshot.